सामग्री पर जाएँ

H3 Max Relight

इंटीग्रेट करें

मॉडल id minimax/h3-max/relight
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/minimax/h3-max/relight?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "reference_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

उदाहरण जैसी फ़ाइलें: $0.80 800 API क्रेडिट चलाने से पहले आपकी फ़ाइलों को मापा जाता है इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
MiniMax वीडियो से वीडियो रेफ़रेंस इनपुट2K तक #video-to-video#video-editing#relighting

विषयों, गति और ऑडियो को सुरक्षित रखते हुए लाइटिंग-स्फीयर चित्र से वीडियो की रोशनी बदलता है

MiniMax · वीडियो

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक video_url
फ़ाइल ड्रॉप करें, या

अधिकतम 15 सेकंड लंबा स्रोत वीडियो; इसका अपने-आप तैयार किया गया संस्करण आउटपुट अवधि और फ़्रेम संख्या निर्धारित करता है। तैयारी वीडियो को स्थिर 24 fps में बदलती है और निकटतम 17n+5 फ़्रेम संख्या तक पहुँचने के लिए अंत से फ़्रेम हटाती है, तथा कम से कम 56 फ़्रेम (लगभग 2.33 सेकंड) बनाए रखती है।

•आवश्यक
फ़ाइल ड्रॉप करें, या

वांछित प्रकाश व्यवस्था दर्शाने वाला रेंडर किया गया गोला।

resolution डिफ़ॉल्ट 768P

वीडियो रिज़ॉल्यूशन चयन: 1080P और 2K (1440p) के लिए 768P बेस, फिर latent अपस्केलिंग और रिफ़ाइनमेंट आवश्यक है। इसके बजाय 480P या 768P चुनने पर नेटिव निर्माण उपयोग होता है।

aspect_ratio डिफ़ॉल्ट 16:9

निर्मित वीडियो का आस्पेक्ट रेशियो।

उन्नत seed · enable_safety_checker

वीडियो निर्माण के दौरान रैंडमनेस नियंत्रित करने वाला सीड।

POST /run/minimax/h3-max/relight?wait=20 कोटेशन → $0.80
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/minimax/h3-max/relight?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "reference_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

H3 Max Relight के बारे में

अधिकतम 15 सेकंड के स्रोत वीडियो पर स्फीयर रेंडर (`reference_image_url`) में दिखाई गई लाइटिंग लागू करता है। वीडियो को 24 fps में बदला जाता है और मान्य फ़्रेम संख्या तक ट्रिम किया जाता है, जिसमें कम से कम लगभग 2.33 सेकंड बचे रहते हैं। `resolution` 480P से 2K तक होता है और `aspect_ratio` adaptive या कई निश्चित रेशियो स्वीकार करता है।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
video_urlआवश्यक video
प्रकारurl · video
अधिकतम 15 सेकंड लंबा स्रोत वीडियो; इसका अपने-आप तैयार किया गया संस्करण आउटपुट अवधि और फ़्रेम संख्या निर्धारित करता है। तैयारी वीडियो को स्थिर 24 fps में बदलती है और निकटतम 17n+5 फ़्रेम संख्या तक पहुँचने के लिए अंत से फ़्रेम हटाती है, तथा कम से कम 56 फ़्रेम (लगभग 2.33 सेकंड) बनाए रखती है।
reference_image_urlआवश्यक
प्रकारurl · image
वांछित प्रकाश व्यवस्था दर्शाने वाला रेंडर किया गया गोला।
resolutionवैकल्पिक
प्रकारenum
डिफ़ॉल्ट768P
480P768P1080P2K
वीडियो रिज़ॉल्यूशन चयन: 1080P और 2K (1440p) के लिए 768P बेस, फिर latent अपस्केलिंग और रिफ़ाइनमेंट आवश्यक है। इसके बजाय 480P या 768P चुनने पर नेटिव निर्माण उपयोग होता है।
aspect_ratioवैकल्पिक
प्रकारenum
डिफ़ॉल्ट16:9
adaptive21:916:94:31:13:49:16
निर्मित वीडियो का आस्पेक्ट रेशियो।
seedवैकल्पिक
प्रकारinteger | null
वीडियो निर्माण के दौरान रैंडमनेस नियंत्रित करने वाला सीड।
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
यह नियंत्रित करता है कि सुरक्षा जाँच सक्षम हैं या नहीं।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "minimax/h3-max/relight",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 800,
    "usd": "0.80",
    "charged": 800,
    "refunded": 0
  },
  "input": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4",
    "reference_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "seed": 42,
    "timings": {}
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
video
object {url, content_type, file_name, file_size}प्रकाश व्यवस्था में लागू किए गए बदलावों वाला वीडियो।
seed
integerनिर्मित परिणाम को दोहराने के लिए उपयोग किया गया बेस सीड।
timings
object | nullinference में लगा समय, उपलब्ध होने पर सेकंड में व्यक्त।

और मॉडल: वीडियो से वीडियो

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/minimax/h3-max/relight.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt